﻿body,
a {
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
}

a           {font-size: 14px; text-decoration: underline; font-family: 'Open Sans', sans-serif;}
a:link      {color: #38A4FF; outline: none;}
a:visited   {color: #38A4FF; outline: none;}
a:hover     {color: #FF8432; outline: none;}
a:active    {color: #38A4FF; outline: none;}

a.ajax__tab_tab
{
    font-size:16px;
    text-transform:uppercase;
}

a, img {
    outline: 0;
}

h1 {
    margin-top: 0px;
    margin-bottom: 30px;
    font-weight: 600;
    text-transform: uppercase;
}

h2 {
    font-size: 16px;
    font-weight: 600;
    text-transform: uppercase;
}

h3 {
    font-size: 14px;
  font-weight: normal;
    text-transform: uppercase;
}

h4 {
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
}

h5 {
    font-size: 10px;
    text-transform: uppercase;
}

/* Menu */
.gn-menu-main,
.gn-menu-main ul:not(.gn-menu) {
    background: none no-repeat scroll 0 0 #fff;
}
    .gn-menu-main,
    .gn-menu-main ul {
        margin: 0;
        padding: 0;
        color: #001534;
        list-style: none;
        text-transform: none;
        font-weight: 300;
    }
.gn-menu-main,
.gn-menu-main ul:not(.results) {
    line-height: 60px;
}
.gn-menu-main.heads-up {
  transform: translateY(-12rem);
  transform: translate3d(0,-12rem,0);
}
.gn-menu-main {
        z-index: 9999;
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		min-height: 60px;
		font-size: 13px;
        border-bottom: 1px solid #dedede;
        /*transform: translateY(0);
        transform: translate3d(0,0,0);*/
        transition: .25s transform;
        backface-visibility: hidden;
}

.gn-menu-main a {
		display: inline-block;
		height: 100%;
		color: #fff;
		text-decoration: none;
		cursor: pointer;
}

.no-touch .gn-menu-main a:hover,
.no-touch .gn-menu li.gn-search-item:hover,
.no-touch .gn-menu li.gn-search-item:hover a {
    background: #001534;
    color: white;
}
.gn-menu li.gn-search-item:hover a{
    -khtml-opacity: 1;
    -moz-opacity: 1;
    -ms-filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    filter: alpha(opacity=100);
    opacity: 1;
}
.gn-menu li.gn-search-item {
    position: relative;
}
.gn-menu li.gn-search-item .mobile-search-button {
    position: absolute;
    right: 45px;
    top: 15px;
    z-index: 99;
    background-color: transparent;
    font-size: 20px;
    color: #fff;
    width: 35px;
    height: 35px;
    line-height: 12px;
    -moz-opacity: 0.5;
    -khtml-opacity: 0.5;
    -webkit-opacity: 0.5;
    opacity: 0.5;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=50);
    filter: alpha(opacity=50);
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -ms-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}
.gn-menu li.gn-search-item .mobile-search-button:hover {
    -moz-opacity: 1;
    -khtml-opacity: 1;
    -webkit-opacity: 1;
    opacity: 1;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=100);
    filter: alpha(opacity=100);
}
.gn-menu-main > li {
		display: block;
		float: left;
		height: 100%;
		border-right: 1px solid #c6d0da;
		text-align: center;
}

.gn-menu-main li.actions {
    border: medium none;
}

.gn-menu-main li.top-search {
    min-width: 300px;
}

/* icon-only trigger (menu item) */

.gn-menu-main li.gn-trigger {
		position: relative;
		width: 60px;
		-webkit-touch-callout: none;
		-webkit-user-select: none;
		-khtml-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
}
.gn-menu-main li.gn-trigger .trigger {
    display: block;
    text-align: center;
    height: 60px;
    padding: 0px;
}

.gn-menu-main > li:last-child {
		float: right;
		border-right: none;
}

.gn-menu-main > li > a {
		padding: 0 30px;
		text-transform: uppercase;
		letter-spacing: 1px;
		font-weight: bold;
}

.gn-menu-main:after {
		display: table;
		clear: both;
		content: "";
}

.gn-menu-wrapper {
        z-index: 999;
		position: fixed;
		top: 60px;
		bottom: 0;
		left: 0;
		overflow: hidden;
		width: 60px;
		border-top: 1px solid #c6d0da;
		background: #001534;
		-webkit-transform: translateX(-60px);
		-moz-transform: translateX(-60px);
		transform: translateX(-60px);
		-webkit-transition: -webkit-transform 0.3s, width 0.3s;
		-moz-transition: -moz-transform 0.3s, width 0.3s;
		/**/transition: transform 0.3s, width 0.3s;*/
        transition: transform 0.25s ease 0s;
}

.gn-menu-wrapper .icon:before {
    font-size: 28px;
}

.gn-scroller {
		position: absolute;
		overflow-y: scroll;
		width: 370px;
		height: 100%;
}

.gn-menu {
		text-align: left;
		font-size: 18px;
}

.gn-menu li:not(:first-child),
.gn-menu li li {
		/*box-shadow: inset 0 1px #fff*/
}
.gn-menu li {
    display: inline-block;
    width: 100%;
    color: #fff;
}
.gn-menu li a {
    color: #fff;
    -khtml-opacity: .5;
    -moz-opacity: .5;
    -ms-filter: alpha(opacity=50);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
    filter: alpha(opacity=50);
    opacity: .5;
}
.gn-menu li a:hover {
    -khtml-opacity: 1;
    -moz-opacity: 1;
    -ms-filter: alpha(opacity=100);
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
    filter: alpha(opacity=100);
    opacity: 1;
}
.gn-submenu li {
		overflow: hidden;
		height: 0;
		-webkit-transition: height 0.3s;
		-moz-transition: height 0.3s;
		transition: height 0.3s;
}

.gn-submenu li a {
		color: #fff
}

input.gn-search {
        font-family: 'Open Sans', sans-serif;
		position: relative;
		z-index: 10;
        line-height: 16px;
		/*padding: 0 90px 0 60px;*/
        padding: 25px 63px;
		outline: none;
		border: none;
		background: transparent;
		color: #fff;
		font-weight: 300;
		cursor: pointer;
        width: 100%;
        -moz-opacity: 0.5;
        -khtml-opacity: 0.5;
        -webkit-opacity: 0.5;
        opacity: 0.5;
        -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=50);
        filter: alpha(opacity=50);
        -webkit-transition: all 0.2s ease-out;
        -moz-transition: all 0.2s ease-out;
        -ms-transition: all 0.2s ease-out;
        -o-transition: all 0.2s ease-out;
        transition: all 0.2s ease-out;
}

input.gn-search:focus {
        -moz-opacity: 1;
        -khtml-opacity: 1;
        -webkit-opacity: 1;
        opacity: 1;
        -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=100);
        filter: alpha(opacity=100);
}

/* placeholder */

.gn-search::-webkit-input-placeholder {
		color: #666666
}

.gn-search:-moz-placeholder {
		color: #666666
}

.gn-search::-moz-placeholder {
		color: #666666
}

.gn-search:-ms-input-placeholder {
		color: #666666
}

/* hide placeholder when active in Chrome */

.gn-search:focus::-webkit-input-placeholder,
.no-touch .gn-menu li.gn-search-item:hover .gn-search:focus::-webkit-input-placeholder {
		color: transparent
}

input.gn-search:focus {
		cursor: text
}

.no-touch .gn-menu li.gn-search-item:hover input.gn-search {
		color: white
}

/* placeholder */

.no-touch .gn-menu li.gn-search-item:hover .gn-search::-webkit-input-placeholder {
		color: white
}

.no-touch .gn-menu li.gn-search-item:hover .gn-search:-moz-placeholder {
		color: white
}

.no-touch .gn-menu li.gn-search-item:hover .gn-search::-moz-placeholder {
		color: white
}

.no-touch .gn-menu li.gn-search-item:hover .gn-search:-ms-input-placeholder {
		color: white
}

.gn-menu-main a.fa-search {
		position: absolute;
		top: 20px;
		left: 0;
		height: 60px;
        z-index: 999;
}

.icon::before {
		display: inline-block;
		width: 60px;
		text-align: center;
		text-transform: none;
		font-weight: normal;
		font-style: normal;
		font-variant: normal;
		line-height: 1;
		speak: none;
		-webkit-font-smoothing: antialiased;
}

/* if an icon anchor has a span, hide the span */

.icon span:not(.text) {
		width: 0;
		height: 0;
		display: block;
		overflow: hidden;
}

.icon.fa-bars::before {
    vertical-align: -25px;
    width: 30px;
    height: 3px;
    background: #001534;
    box-shadow: 0 3px white, 0 -6px #001534, 0 -9px white, 0 -12px #001534;
    content: '';
}

.no-touch .icon-menu:hover::before,
.no-touch .icon-menu.gn-selected:hover::before {
		background: white;
		box-shadow: 0 3px #5f6f81, 0 -6px white, 0 -9px #5f6f81, 0 -12px white;
}

.icon.fa-bars.gn-selected::before {
		background: #5993cd;
		box-shadow: 0 3px white, 0 -6px #5993cd, 0 -9px white, 0 -12px #5993cd;
}

/* styles for opening menu */

.gn-menu-wrapper.gn-open-all,
.gn-menu-wrapper.gn-open-part {
		-webkit-transform: translateX(0px);
		-moz-transform: translateX(0px);
		transform: translateX(0px);
}

.gn-menu-wrapper.gn-open-all {
		width: 340px
}

.gn-menu-wrapper.gn-open-all .gn-submenu li {
		height: 60px
}

@media screen and (max-width: 422px) { 
	.gn-menu-wrapper.gn-open-all {
			-webkit-transform: translateX(0px);
			-moz-transform: translateX(0px);
			transform: translateX(0px);
			width: 100%;
	}

	.gn-menu-wrapper.gn-open-all .gn-scroller {
			width: 130%
	}
}





/* Defaults */
.clearfix:after {
  visibility: hidden;
  display: block;
  height: 0;
  clear: both;
}
body.edit .contentContainer,
body.edit div#footer
{
  background-color: #f7f9fb;
}
body.edit .contentContainer .content {
  background: none no-repeat scroll 0 0 transparent;
}
.spotlightBackground
{
  background: none no-repeat scroll 0 0 #F6F8F8;
  border-bottom: 1px solid #ddd;
  padding: 0px 40px 0px 90px;
}
.spotlight {
  width: 100%;
  background: none no-repeat scroll 0 0 #F6F8F8;
  padding: 40px 0px 30px 0px;
}
.spotlight .column {
  width: 24.25%;
  float: left;
  margin: 0 1% 0 0;
  border: 1px solid #ddd;
  min-height: 50px;
  background: none no-repeat scroll 0 0 #fff;
  padding: 20px 25px;
  -moz-border-radius: 3px;
  -o-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
}
.spotlight .column:nth-child(4n+4) {
  margin: 0;
}
.form-horizontal {
  border: 1px solid #ddd;
  padding: 20px 25px;
  margin-top: 30px;
  background: none no-repeat scroll 0 0 #fff;
}
.form-horizontal.formExtensionAccordion {
    margin-top: 0;
}
.form-horizontal.haku {
  background-color: #f7f9fb;
  border-top: 3px solid #16325C;
  margin-bottom: 30px;
  width: auto;
}
.form-horizontal .form-group {
  position: relative;
  width:100%;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
  box-sizing:border-box;
}
.form-horizontal .form-group.has-feedback {
  max-width: 300px;
}
.form-group .inline-fields-separator {
  float: left;
  font-size: 16px;
  font-weight: bold;
  text-align: center;
}
.mt5 {
    margin-top: 5px;
}
.mt10 {
    margin-top: 10px;
}
.mt15 {
    margin-top: 15px;
}
.mt20 {
    margin-top: 20px;
}
.mb5 {
    margin-bottom: 5px;
}
.mb10 {
    margin-bottom: 10px;
}
.mb15 {
    margin-bottom: 15px;
}
.mb20 {
    margin-bottom: 20px;
}
.form-horizontal .form-group .inline-fields-separator:after {
  visibility: hidden;
  display: block;
  height: 0;
  clear: both;
}
.form-horizontal .form-group .control-label {
  text-align: left;
  margin-bottom: 10px;
}
.glyphicon {
    top: 0;
}
.glyphicon {
    text-decoration: none !important;
}
.glyphicon.inline-icons {
    margin-right: 15px;
}
.glyphicon.button,
.button {
    cursor: pointer;
}
.glyphicon.accordion {
    font-size: 26px;
    float: left;
    margin: 6px 0 0 10px;
}
.input-group-addon.button {
    width: auto;
}
.contentContainer {
  /*padding: 60px 40px 20px 120px;*/
  padding: 30px 40px 20px 90px;
}
label {
  font-weight: normal;
}
.popover-title {
  color: red;
}
.popover-content {
  font-size: 13px;
}
input.has-button,
input.hasDatepicker {
    max-width: 100%;
}
input.hasDatepicker {
    padding: 6px 10px;
}
textarea {
  width: 100%;
}
select:not([multiple]) {
   /* max-width: 270px;
  width: 100px; */
}
div.table {
  overflow-x: scroll;
  width: 100%;
  max-width: 600px;
}
table.table {
  width: 100%;
  max-width: auto;
}

table th {
  text-transform: uppercase;
  font-weight: 700;
}

@media only screen and (min-width: 700px) and (max-width: 1024px) {
  .spotlight .column {
    width: 49%;
    margin: 0 1% 10px 0;
  }
  .spotlight .column:nth-child(2n+2) {
    margin: 0 0 10px 0;
  }
}
@media only screen and (max-width: 699px) {
  .spotlight .column {
    width: 100%;
    margin: 0 0 10px 0;
  }
  .contentContainer {
    padding-top: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 80px;
  }
  .spotlight {
    padding-top: 30px;
    padding-right: 20px;
    padding-bottom: 30px;
    padding-left: 80px;
  }
}

@media only screen and (max-width: 670px) {
    .gn-menu-main li.top-search,
    .spotlight {
        display: none;
    }

    .gn-menu-main li.user-menu {
        border-left: medium none;
    }
}

@media only screen and (max-width: 369px) {
    .gn-menu-main li.actions {
        margin-left: 65px; 
        border-right: medium none;
    }
}

@media only screen and (max-width: 490px) {
   /* .gn-menu-main li.top-search {
        margin-left: 55px;
        min-width: 260px;
        border-right: medium none;
    } */
    .gn-menu-main li.user-menu {
        border-left: medium none;
        float: left;
    }
}

@media only screen and (max-width: 485px) {
    .hakuPikatuloksetLista {
        min-width: 240px;
    }
    .form-group.box-button .input-group {
        display: block;
    }
    .form-group.box-button .input-group .input-group-btn {
        text-align: center;
    }
    .form-group.box-button .grid {
        width: 100%;
    }
    .form-group.box-button .input-group .form-control {
        -webkit-border-top-right-radius: 4px;
        -webkit-border-bottom-right-radius: 4px;
        -moz-border-radius-topright: 4px;
        -moz-border-radius-bottomright: 4px;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
    }
    .form-group.box-button .input-group .input-group-btn .btn {
        margin-top: 10px;
        -webkit-border-top-left-radius: 4px;
        -webkit-border-bottom-left-radius: 4px;
        -moz-border-radius-topleft: 4px;
        -moz-border-radius-bottomleft: 4px;
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
    }
}
.tabContainer .ajax__tab_header {
  background-color: White;
}
.tabContainer .ajax__tab_header {
  border-bottom: 1px solid #161616;
}
.tabContainer .ajax__tab_tab {
  cursor: pointer;
  color: #16325c;
}
.tabContainer .ajax__tab_hover .ajax__tab_inner {
  border-bottom: 3px solid #16325c;
}
.tabContainer .ajax__tab_hover .ajax__tab_tab {
  color: #16325c;
}
.tabContainer .ajax__tab_active .ajax__tab_outer {
  border-top: 1px solid #ffffff;
}
.tabContainer .ajax__tab_active .ajax__tab_inner {
  border-bottom: 3px solid #16325c;
}
.tabContainer .ajax__tab_active .ajax__tab_tab {
  cursor: default;
  color: #16325c;
}
.tabContainer .ajax__tab_panel {
  padding-top: 20px;
}
/*Tabcontainer on lomakeella laitetaan taustaväri kuntoon */
.tabContainerForm .ajax__tab_panel {
  padding: 0px 0px 0px 0px;
}
/* XP IE7 theme - Other Styles */
.tabContainer .ajax__tab_header {
  font-size: 18px;
}
.tabContainer .ajax__tab_outer {
  padding-right: 4px;
}
.tabContainer .ajax__tab_inner {
  padding-left: 3px;
}
.tabContainer .ajax__tab_tab {
  padding: 8px 5px;
  margin: 0;
}
.tabContainer .ajax__tab_body {
  background-color: #ffffff;
}
a.sivuLinkki {
  text-decoration: none !important;
  outline: none !important;
  color: inherit !important;
  border: none !important;
  background-color: inherit !important;
  opacity: 0.5;
  float: left;
  display: block;
  font-size: 90%;
  min-width: 40px;
  padding: 0;
}
a.sivuLinkki .text  {
    font-family: 'Open Sans', sans-serif;
}
.ylapalkkiContainer {
  width: 400px;
  float: left;
}
#kayttajaContainer {
  position: relative;
  min-width: 220px;
  width: auto;
  float: right !important;
  height: 100%;
  vertical-align: middle;
  height: 60px;
  line-height: 60px;
  cursor: pointer;
}
#kayttajaContainer .ylapalkkiVaihtuvaBoksi {
  top: 60px;
}
#kayttajaContainer ul {
    line-height: 18px;
}
body.report {
  background-image: none;
  color: #5A5A5A;
  font-size: 12px;
  height: 100%;
  margin: 25px 30px 25px 30px;
  padding: 0;
}

/*
#sivupalkki {
  z-index: 50;
  background-color: #001534;
  height: 100%;
  position: fixed;
  left: 0px;
  top: 0px;
  color: #fff;
}
#isonnaSivupalkki {
  margin-top: 25px;
  margin-bottom: 0px;
  margin-left: 15px;
  margin-right: auto;
  width: 50px;
  height: 37px;
  font-size: 66%;
  cursor: pointer;
}
.sivupalkkiPieni {
  width: 60px;
  transition: width 0.15s ease-in-out;
}
.sivupalkkiIso {
  width: 350px;
  transition: width 0.15s ease-in-out;
}

#ylapalkki {
  z-index: 25;
  background-color: #FFF;
  width: 100%;
  position: relative;
  padding-left: 60px;
  left: 0px;
  top: 0px;
  border-bottom: 1px solid #E4E4E4;
  transition: padding 0.15s ease-in-out;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
  box-sizing:border-box;
}
#ylapalkki.sivulla {
  padding-left: 350px;
}*/
.kuvaContainer,
.nimiContainer {
    float: right;
    margin-right: 20px;
}
.kuvaContainer {
  width: 45px;
  height: 45px;
  overflow: hidden;
  z-index: 30;
  position: relative;
  margin-top: 8px;
}
.kuvaContainer img {
  z-index: 35;
  position: absolute;
}
.kuvaContainer .kuvaReunat {
  z-index: 40;
  position: absolute;
  border-radius: 100%;
  width: 45px;
  height: 45px;
  box-shadow: 0px 0px 0px 200px #ffffff;
}
.kiltaTeksti {
  font-weight: 700;
  font-style: normal;
  color: #999 !important;
  font-size: 18px;
  display: block;
  float: left;
}
.sivupalkkiLinkki {
  position: relative;
  display: block;
  margin-left: 13px;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 11px;
  height: 50px;
}
.sivupalkkiPieni .sivupalkkiLinkki {
  width: 50px;
}
.sivupalkkiIso .sivupalkkiLinkki {
  width: 90%;
}
.sivupalkkiPieni .sivupalkkiLinkkiInfo {
  font-weight: 400;
  font-style: normal;
  font-size: 14px;
  display: block;
  position: absolute;
  left: 50px;
  top: 0;
  opacity: 0;
  visibility: hidden;
  transition: visibility 0.15s step-end, opacity 0.15s ease-in-out;
}
.sivupalkkiLinkki a.sivuLinkki:hover {
  opacity: 1;
}
.sivupalkkiPieni .sivupalkkiLinkki:hover .sivupalkkiLinkkiInfo {
  z-index: 100;
  visibility: inherit;
  opacity: 1;
  transition: visibility 0.15s step-start, opacity 0.15s ease-in-out;
}
.sivupalkkiPieni .sivupalkkiLinkkiInfoTeksti {
  position: relative;
  top: -36px;
  left: 30px;
}
.sivupalkkiIso .sivupalkkiLinkkiInfo {
  font-style: normal;
  font-size: 16px;
  font-weight: 700;
  display: inline;
  position: relative;
  float: left;
  transition: visibility 0.15s step-end;
  margin-left: 10px;
  margin-top: 8px;
}
.sivupalkkiIso .sivupalkkiLinkkiInfoTausta {
  display: none;
}
#cphContent_ValidationSummary1 {
  color: red;
}
#cphContent_ValidationSummary1 ul {
  padding-left: 12px;
}
.contentContainer {
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  transition: padding-left 0.15s ease-in-out;
}
.contentContainer .content {
  background-color: #fff;
}
.contentContainer > h3 {
  margin: 0px 0px 20px 10px;
}
.contentContainer.sivulla {
  padding-left: 350px;
}
.hakuBoksi {
  width: 100%;
  padding: 5px 10px;
}
.hakuBoksi,
.ylapalkkiNappi {
  color: #999;
  border-radius: 5px;
  background-color: #F7F9FB;
  border: 1px solid #E4E4E4;
  height: 37px;
}
.ylapalkkiNappi {
  position: relative;
  display: inline-block;
  vertical-align: top;
  margin-top: 12px;
  text-align: center;
  margin-left: 10px;
  min-width: 35px;
  color: #666;
  cursor: pointer;
  font-size: 110%;
}
.ylapalkkiNappi:hover {
  background-color: #C7D1D6;
}
.ylapalkkiNappiSisalto {
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 0px;
  padding-bottom: 0px;
  line-height: 20px;
}
.ylapalkkiNappi a {
  width: 100%;
  height: 100%;
  display: block;
  color: #666;
}
.ylapalkkinapit {
  float: left;
}
.ylapalkkiNappi i {
  height: 0;
  vertical-align: middle;
  color: #666;
}
#ylapalkkiMuokkausVaihtuva
{
    float: left;
    right: 0;
}
.ylapalkkiHakuboksi {
  padding: 0 20px;
}
.ylapalkkiHakuboksi input {
    line-height: 16px;
    vertical-align: middle;
    font-family: 'Open Sans', sans-serif;
    width: 100% !important;
    /*-moz-opacity: 0.5;
    -khtml-opacity: 0.5;
    -webkit-opacity: 0.5;
    opacity: 0.5;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=50);
    filter: alpha(opacity=50);*/
    -webkit-transition: all 0.2s ease-out;
    -moz-transition: all 0.2s ease-out;
    -ms-transition: all 0.2s ease-out;
    -o-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}
.ylapalkkiHakuboksi input:focus {
   /* -moz-opacity: 1;
    -khtml-opacity: 1;
    -webkit-opacity: 1;
    opacity: 1;
    -ms-filter: progid:DXImageTransform.Microsoft.Alpha(opacity=100);
    filter: alpha(opacity=100);*/
}
.ylapalkkiVaihtuvaBoksi ul {
  margin: 0 0 0 0;
  min-width: 200px;
  width: auto;
  margin-left: auto;
  margin-right: auto;
  text-align: left;
}
.ylapalkkiVaihtuvaBoksi ul li {
  line-height: 20px;
  background-color: inherit;
  text-decoration: none;
}
.ylapalkkiVaihtuvaBoksi ul li a {
  padding-left: 15px;
  width:100%;
}
.ylapalkkiVaihtuvaBoksi ul li:hover {
  background-color: #C7D1D6;
}
.ylapalkkiVaihtuvaBoksi ul li:not(:last-child) {
  border-bottom: 1px solid #E4E4E4;
}
.ylapalkkiVaihtuvaBoksi {
  top: 60px;
  left: 10px;
  position: absolute;
  opacity: 1;
  background-color: #fff;
  border-radius: 5px;
  box-sizing: border-box;
  box-shadow: 0px 0px 5px 5px #CCC;
  transition: opacity 0.15s ease-in-out, visibility 0s step-start;
  z-index: 50;
  display: block;
  visibility: visible;
}
.ylapalkkiVaihtuvaBoksiPiilossa {
  opacity: 0;
  transition: opacity 0.15s ease-in-out, visibility 0.15s step-end;
  visibility: hidden;
}
.hakuPikatuloksetContainer {
  display: none;
  background-color: #FFF;
  z-index: 999;
  min-width: 150px;
  position: absolute;
  transition: max-height 0.15s ease-in-out, opacity 0.05s ease-in-out height 0.05s ease-in-out;
}
.hakuPikatuloksetContainer.active{
    display: block;
}
.ylapalkkiVaihtuvaBoksi ul li a,
.hakuPikatuloksetContainer ul li a {
  font-weight: 400;
  font-size: 14px;
  color: #333;
  line-height: 32px;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
  box-sizing:border-box;
}

.hakuPikatuloksetLista {
  float: left;
  padding: 20px;
  width: 100%;
  height: inherit;
  min-width: 230px;
  text-align: left;
  line-height: 16px;
}
.hakuPikatuloksetLista .type {
    font-weight: bold;
    font-size: 12px;
    text-align: left;
     margin-left: -10px;
}
.hakuPikatuloksetLista .type .type-icon {
 margin-right: 5px;
 width: 15px;
}
.hakuPikatuloksetLista .results {
    line-height: 18px;
    margin-bottom: 10px;
    margin-left: 12px;

}
.hakuPikatuloksetContainerVarjolla {
  box-sizing: border-box;
  -webkit-box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
  -moz-box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
  box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  border: 1px solid #cecece;
}

/*-------------------------------------------------------*/

.ddlGridViewHeight {
    margin: 0px !important;
    padding: 0px !important;
    font-size: 12px;
    line-height: 15px;
}
/*.infobox {
  width: 100%;
  padding: 20px 30px 30px 0px;
  background: none no-repeat scroll 0 0 #F7F9FB;
  border-bottom: 1px solid #ddd;
}*/

.cardcaption {
  font-weight: 500 !important;
  font-size: 20px !important;
  padding-top: 0px !important;
}

.labelcaption {
  font-weight: normal;
  font-size: 12px !important;
  margin: 0;
}
.henkilolabel {
    font-size: 11px !important;
}
.labelcaptiongray {
    font-weight: 600 !important;
    font-size: 14px !important;
    margin: 0;
    color: gray;
}
.listcaption {
  font-size: 16px;
    font-weight: 500;
    padding-top: 10px;
    padding-right: 30px;
    /*padding-bottom: 0px;*/
    /*display: inline;*/
}
.labeldata {
    font-weight: normal !important;
    font-size: 14px !important;
    margin: 0;
}
.henkilodata {
    font-weight: 600 !important;
    font-size: 14px !important;
    margin: 0;
}
.columnborder hr
{
    /*padding-top: 10px;
    padding-bottom: 10px;*/
    padding-left: 0px;
    padding-right: 30px;
    margin-top: 10px;
    margin-bottom: 10px;
    /*border-bottom: 1px solid #ddd;*/
}
.infolabels {
    font-size: 14px !important;
    padding-top: 0px;
    padding-bottom: 20px;
}
.bluelabel {
  background-color: #005B82;
  display: inline-block;
  padding: 5px;
}

.infoboxtext {
    font-size: 48px;
}
.historylink {
    white-space: nowrap;
    cursor: pointer;
}
.historylinkicon {
    font-size: 90%;
    vertical-align: baseline;
}
/*.not-active {
   pointer-events: none;
   cursor: default;
}
.active {
    cursor:pointer;
}*/
.btn-file {
    position: relative;
    overflow: hidden;
}
.btn-file input[type=file] {
    position: absolute;
    top: 0;
    right: 0;
    min-width: 100%;
    min-height: 100%;
    font-size: 100px;
    text-align: right;
    filter: alpha(opacity=0);
    opacity: 0;
    outline: none;
    background: white;
    cursor: inherit;
    display: block;
}
.kayttajakuva {
  z-index: 35;
  max-height: 45px;
  max-width: 45px;
  /*position: absolute;*/
  border-radius: 100%;
  /*box-shadow: 0px 0px 0px 200px #ffffff;*/
}

@media (max-width: 670px)
{
    .piilossaMobiilissa
    {
        display:none;
    }
}

@media (min-width: 671px)
{
    .nakyyMobiilissa
    {
        display:none;
    }
  .form-control {
    /*width: 400px;*/
  }
}

.tahoPerustietoPallukka
{
    margin: 3px;
    padding: 1px 7px;
    border-radius: 2px;
    color:#FFF;
}

div.hakuPikatuloksetLista ul.results li.selected,
div.hakuPikatuloksetLista ul.results li:hover
{
    background-color: #EEE;
}

.hakuPikatuloksetContainer ul li a
{
    width: 100%;
}

.perustiedot {
  margin-top: 30px;
}

.perustiedot h3 {
  margin-top: 0 !important;
}

.perustiedot h2 {
  margin-top: -5px !important;
}

.perustiedot-labelit {
  display: block;
  margin: 5px -3px;
}

.form-control {
  min-width: 100px;
}

.table > thead > tr > th {
  border-bottom: none !important;
}

.table-responsive-header-icons {
    margin-bottom: 10px;
    float: right;
}

.table-responsive-header {
  margin-top: 30px;
  border: 1px solid #ddd;
  padding: 5px 15px;
  background-color: #f6f8f8;
  overflow: auto;
  clear: both;
}

.table-responsive-header-actions {
  float: right;
  margin-right: -13px;
}

  .table-responsive-header-actions .btn {
    margin-bottom: 5px;
    margin-top: 5px;
    min-width: 165px;
  }

.table-striped {
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #ddd;
}

.table-responsive td:not(.ddlGridViewHeight), .table-responsive th {
  padding: 12px 15px !important;
  vertical-align: middle;
}

.table-responsive-empty td {
  background-color: #ffffff !important;
  font-style: italic;
  border-top: none !important;
}

.table .row-action {
  padding-right: 10px;
  text-align: right;
  width: 69px;
}

.icon-link {
  color: #34495E !important;
  text-decoration: none !important;
  display: inline;
}

.icon-border {
  border-radius: 5px;
  border: 1px solid #ddd;
  padding: 5px 8px;
  background-color: #fff;
}

.kaikkitiedotlistaus {
    padding: 12px 0px;
}
.kaikkitiedotMuokkaustiedot {
  font-size: 13px;
  color: #666666;
  font-style: italic;
  margin-right: 10px;
  margin-bottom: 10px;
  display: inline-block;
}

.kaikkitiedotYlaoikea {
  padding-top: 10px;
  margin: 0px;
}

.kaikkitiedotYlaoikea a {
    margin: 5px;
}

a.takaisinLinkki i {
    margin-right:10px;
}

.chosen-container
{
    width: 100% !important;
}

.chosen-container > a
{
    height:auto !important;
    padding: 6px 10px !important;
}

.chosen-container > a > div
{
    padding-top: 6px !important;
}

div.view ul.viewLinkElement li  {
    margin-bottom: 5px;
    list-style-type: none;
}

div.headerBarExtensionAccordion {
    border-top: 3px solid #6AB7FB;
}

.btn {
    margin-right: 10px;
    margin-bottom: 5px;
}

a.takaisinLinkki, a.takaisinLinkkiAlaosa {
  font-size: 16px;
  text-decoration: none;
  color: #2980B9 !important;
  display: inline-block;
  margin-bottom: 10px;
}

a.takaisinLinkki:hover, a.takaisinLinkkiAlaosa:hover {
    color: #FF8432 !important;
}

a.takaisinLinkki i, a.takaisinLinkkiAlaosa i {
    margin-right: 10px;
}

a.takaisinLinkkiAlaosa i {
    margin-top: 30px;
}

.kaikkiTiedotLisayspainike {
  float: right;
  margin-right: -10px;
  margin-bottom: 10px;
}

.ehdotettavatArvot {
    position: relative;
}

.ehdotettavatArvotSisa {
    z-index: 999;
    position:absolute;
    background-color: #FFF;
    -webkit-box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
    -moz-box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
    box-shadow: 0px 1px 5px 2px rgba(54, 54, 54, 0.11);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #cecece;
    top: 3px;
    left: 5px;
    padding: 5px;
}

.ehdotettavatArvotSisa ul {
    padding: 0;
    margin: 0;
}

.ehdotettavatArvotSisa ul li {
    padding: 2px 7px;
    list-style-type: none;
    cursor: pointer;
}

.ehdotettavatArvotSisa ul li:hover {
    background-color: #EEE;
}

.validation
{
   margin: 0px 0px 0px 0px;
   padding: 0px 0px 0px 0px; 
   color: red;
   font-size: 11px;
}

.piilossa
{
    display: none;
}

.has-error .chosen-container a {
  border-color: #a94442;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
}
.has-error .chosen-container.chosen-with-drop a {
  border-color: #843534;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
          box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 6px #ce8483;
}

div.paivamaaraVali {
    width: 45%;
    float: left;
}

div.paivamaaraErotin {
    width: 10%;
    float: left;
    text-align: center;
}

table.sortattavaTaulukko th[data-sorttaus] {
    cursor: pointer;
}

.klikattava {
    cursor: pointer;
}

.sivutuslinkki {
    cursor: pointer;
    display: inline-block;
}

div.table-responsive-header label.listcaption {
    text-transform: uppercase;
}

ul.pisteetonLista {
    list-style-type: none;
}

@media(min-width:768px)
{
    .ekaSarake {
        text-align: right;
    }
    .vikaSarake {
        text-align: left;
    }
    .body-container {
        padding: 30px;
    }
    .body-content {
        border: 1px solid #DDD;
        border-radius: 7px;
        padding: 30px;
    }
    .otsikkoUlko {
        display:table; 
        width:100%; 
        height:100%; 
        height:34px;
    }
    .otsikkoSisa {
        display:table-cell; 
        vertical-align:middle; 
        width:100%; 
        height:100%;
    }
    .logo {
        padding-left:30px;
        padding-top:30px;
    }
    
    h1 {
        font-size: 24px;
    }

}

@media(max-width: 767px)
{
    .body-content {
        padding: 15px;
    }
    .form-group {
        margin-bottom: 0px;
    }
    .vikaSarake {
        margin-bottom: 15px;
    }
    .logo {
        padding-left: 15px;
        padding-top: 15px;
    }
    
    h1 {
        font-size: 18px;
    }

}

.infoSarake {
    color: #999;
}

.otsikkoUlko {
    margin: 0px;
    padding: 0px;
}

.otsikkoSisa {
    margin: 0px;
    padding: 0px;
}

.ilmestyvaBoksi {
    position:relative;
}

.ilmestyvaBoksi div {
    background-color: #fff;
    position: absolute;
    z-index: 10;
    border: 1px solid #AAA;
    border-radius: 5px;
    padding: 0px 5px;
}

.ilmestyvaBoksi ul {
    list-style: none;
    margin: 0px;
    padding: 0px;
}

.ilmestyvaBoksi li {
    padding: 5px 0px;
    cursor: pointer;
}

.ilmestyvaBoksi li:hover {
    background-color: #EEE;
}

.kielivalinta {
    float: right;
    text-align: right;
    margin-right: 30px;
}

input[type=checkbox] + label {
    margin-left: 5px;
    display:inline;
}

.rivilinkki {
    display: block;
    width: 100%;
}

.radiobuttonlist > tbody > tr > td > label {
  margin-right: 10px;
  margin-left: 5px;
  margin-bottom: 10px;
  padding: 0;
}

.labeltext {
  vertical-align: middle;
  display: table-cell;
  height: 32px;
}